# Copyright 2023- Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)

from odoo import fields, models


class FinancialConditionPrecedent(models.Model):
    _name = "financial.condition.precedent"
    _description = "Configuration of a condition precedent"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    name = fields.Char()
    category = fields.Selection([("a", "Cat. A"), ("b", "Cat B")])
    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------


class FinancialConditionPrecedentContract(models.Model):
    _name = "financial.condition.precedent.contract"
    _description = "Link between a condition precedent and a contract"
    _rec_name = "condition_precedent_id"
    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------
    name = fields.Char()
    condition_precedent_id = fields.Many2one("financial.condition.precedent")
    contract_id = fields.Many2one("financial.contract")
    raised = fields.Boolean()

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
